# Hurricane VLSI Database

List of all members
Hurricane::Pin Class Reference

Pin description (API) More...

Inheritance diagram for Hurricane::Pin:
[legend]

## Additional Inherited Members
Public Types inherited from Hurricane::Contact
typedef Component | Inherit
Public Types inherited from Hurricane::Component
typedef Go | Inherit
Public Member Functions inherited from Hurricane::Contact
Hook * | getAnchorHook ()
Component * | getAnchor () const
const DbU::Unit & | getDx () const
const DbU::Unit & | getDy () const
const DbU::Unit & | getWidth () const
DbU::Unit | getHalfWidth () const
const DbU::Unit & | getHeight () const
DbU::Unit | getHalfHeight () const
void | setLayer (const Layer *layer)
void | setWidth (const DbU::Unit &width)
void | setHeight (const DbU::Unit &height)
void | setSizes (const DbU::Unit &width, const DbU::Unit &height)
void | setX (const DbU::Unit &x)
void | setY (const DbU::Unit &y)
void | setPosition (const DbU::Unit &x, const DbU::Unit &y)
void | setPosition (const Point &position)
void | setDx (const DbU::Unit &dx)
void | setDy (const DbU::Unit &dy)
void | setOffset (const DbU::Unit &dx, const DbU::Unit &dy)
Public Member Functions inherited from Hurricane::Component
Net * | getNet () const
Rubber * | getRubber () const
Hook * | getBodyHook ()
Components | getConnexComponents () const
Components | getSlaveComponents () const
Public Member Functions inherited from Hurricane::Go
bool | isMaterialized () const
Public Member Functions inherited from Hurricane::DBo
virtual void | destroy ()
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()
Static Public Member Functions inherited from Hurricane::Contact
static Contact * | create (Net *net, const Layer *layer, const DbU::Unit &x, const DbU::Unit &y, const DbU::Unit &width=0, const DbU::Unit &height=0)
static Contact * | create (Component *anchor, const Layer *layer, const DbU::Unit &dx, const DbU::Unit &dy, const DbU::Unit &width=0, const DbU::Unit &height=0)
Static Public Member Functions inherited from Hurricane::Component
static ComponentFilter | getIsUnderFilter (const Box &area)
Static Public Member Functions inherited from Hurricane::Go
static bool | autoMaterializationIsDisabled ()
static void | enableAutoMaterialization ()
static void | disableAutoMaterialization ()

## Detailed Description

Pin description (API)

The documentation for this class was generated from the following file:

- Pin.h

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved